Summary:	C++ wrapper for cairo - cross MinGW32 version
Summary(pl.UTF-8):	Interfejs C++ do cairo - wersja skrośna dla MinGW32
%define		realname   cairomm
Name:		crossmingw32-%{realname}
Version:	1.12.2
Release:	1
License:	LGPL v2+
Group:		Development/Libraries
Source0:	https://www.cairographics.org/releases/%{realname}-%{version}.tar.gz
# Source0-md5:	9d2282ea34cf9aaa89208bb4bb911909
URL:		https://www.cairographics.org/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11
BuildRequires:	crossmingw32-cairo >= 1.10.0
BuildRequires:	crossmingw32-gcc-c++ >= 1:4.6
BuildRequires:	crossmingw32-libsigc++ >= 2.5.1
BuildRequires:	libtool >= 2:1.5
BuildRequires:	mm-common >= 0.8
BuildRequires:	pkgconfig >= 1:0.15
Requires:	crossmingw32-cairo >= 1.10.0
Requires:	crossmingw32-gcc-c++ >= 1:4.6
Requires:	crossmingw32-libsigc++ >= 2.5.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++
%define		__pkgconfig_provides	%{nil}
%define		__pkgconfig_requires	%{nil}

%define		_ssp_cflags		%{nil}
%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker, most of -f options are Linux-specific
%define		filterout_ld	-Wl,-z,.*
%define		filterout_c		-f[-a-z0-9=]*

%description
C++ wrapper for cairo (cross MinGW32 version).

%description -l pl.UTF-8
Interfejs C++ do cairo (wersja skrośna MinGW32).

%package static
Summary:	Static cairomm library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka cairomm (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static cairomm library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka cairomm (wersja skrośna MinGW32).

%package dll
Summary:	DLL cairomm library for Windows
Summary(pl.UTF-8):	Biblioteka DLL cairomm dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-cairo-dll >= 1.10.0
Requires:	crossmingw32-libsigc++-dll >= 2.5.1

%description dll
DLL cairomm library for Windows.

%description dll -l pl.UTF-8
Biblioteka DLL cairomm dla Windows.

%prep
%setup -q -n %{realname}-%{version}

%build
export PKG_CONFIG_LIBDIR=%{_prefix}/lib/pkgconfig
%{__libtoolize}
%{__aclocal} -I build
%{__automake}
%{__autoconf}
# mingw32 requires gnu++11 (instead of c++11) for M_PI
CXXFLAGS="%{rpmcxxflags} -std=gnu++11"
%configure \
	--enable-static \
	--target=%{target} \
	--host=%{target}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
%{__mv} $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/{doc/cairomm-1.0,devhelp}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%{_libdir}/libcairomm-1.0.dll.a
%{_libdir}/libcairomm-1.0.la
%{_libdir}/cairomm-1.0
%{_includedir}/cairomm-1.0
%{_pkgconfigdir}/cairomm-1.0.pc
%{_pkgconfigdir}/cairomm-ft-1.0.pc
%{_pkgconfigdir}/cairomm-pdf-1.0.pc
%{_pkgconfigdir}/cairomm-png-1.0.pc
%{_pkgconfigdir}/cairomm-ps-1.0.pc
%{_pkgconfigdir}/cairomm-svg-1.0.pc
%{_pkgconfigdir}/cairomm-win32-1.0.pc
%{_pkgconfigdir}/cairomm-win32-font-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libcairomm-1.0.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libcairomm-1.0-*.dll
%changelog
* Sat Dec 03 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-cairomm.git;a=log;h=master

* Sat Dec 03 2016 Jakub Bogusz <qboosh@pld-linux.org> cd4433d
- updated to 1.12.2

* Tue Sep 29 2015 Jakub Bogusz <qboosh@pld-linux.org> 684a9da
- updated to 1.12.0; C++11 now
- mingw32 requires -std=gnu++11 instead of c++11

* Wed Apr 22 2015 Jakub Bogusz <qboosh@pld-linux.org> a4f0c1a
- release 6: rebuild with libpng 1.6

* Mon Apr 22 2013 Elan Ruusamäe <glen@delfi.ee> 5a73756
- remove default stack protector flags

* Sun Apr 21 2013 Elan Ruusamäe <glen@delfi.ee> 96c9035
- added filterout_c for -f* options

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> df17214
- do not require pkgconfig deps either

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> d3371b3
- do not provide pkgconfig deps in system namespace

* Tue May 10 2011 Jakub Bogusz <qboosh@pld-linux.org> cddf721
- updated to 1.10.0

* Thu Nov 11 2010 Jakub Bogusz <qboosh@pld-linux.org> ed56520
- updated to 1.8.6

* Sun Sep 19 2010 Jakub Bogusz <qboosh@pld-linux.org> 15a9b2f
- updated to 1.8.4

* Tue Sep 09 2008 Jakub Bogusz <qboosh@pld-linux.org> e71c284
- updated to 1.6.4

* Tue Aug 19 2008 Jakub Bogusz <qboosh@pld-linux.org> 8f5013f
- updated to 1.6.2

* Sun Apr 13 2008 Jakub Bogusz <qboosh@pld-linux.org> 2119629
- updated to 1.6.0

* Tue Mar 25 2008 Jakub Bogusz <qboosh@pld-linux.org> d69d6c9
- updated to 1.4.8

* Mon Jan 14 2008 Jakub Bogusz <qboosh@pld-linux.org> 9f1d7d0
- force %{_lib}-independent libdir

* Sat Nov 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 200e440
- updated to 1.4.6

* Tue Aug 28 2007 Jakub Bogusz <qboosh@pld-linux.org> 4764e80
- for crosscompiling use PKG_CONFIG_LIBDIR instead of PKG_CONFIG_PATH

* Mon Jul 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 35ffa3d
- updated to 1.4.4

* Sun Jul 15 2007 Jakub Bogusz <qboosh@pld-linux.org> 75c0a5a
- updated to 1.4.0

* Tue Mar 06 2007 Jakub Bogusz <qboosh@pld-linux.org> 767dee0
- cleanup, separated -static,-dll

